# FileMode.Type (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Enum FileMode.Type

    java.lang.Object
      java.lang.Enum<FileMode.Type>
          net.schmizz.sshj.sftp.FileMode.Type

All Implemented Interfaces:
  Serializable, Comparable<FileMode.Type>

Enclosing class:
  FileMode

    public static enum FileMode.Type

extends Enum<FileMode.Type>

Enum Constant Summary
`BLOCK_SPECIAL` block special
`CHAR_SPECIAL` character special
`DIRECTORY` directory
`FIFO_SPECIAL` FIFO special
`REGULAR` regular
`SOCKET_SPECIAL` socket special
`SYMKLINK` symbolic link
`UNKNOWN` unknown

Method Summary
`static FileMode.Type` `fromMask(int mask)`
`int` `toMask()`
`static FileMode.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileMode.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLOCK_SPECIAL

    public static final FileMode.Type BLOCK_SPECIAL

  block special

### CHAR_SPECIAL

    public static final FileMode.Type CHAR_SPECIAL

  character special

### FIFO_SPECIAL

    public static final FileMode.Type FIFO_SPECIAL

  FIFO special

### SOCKET_SPECIAL

    public static final FileMode.Type SOCKET_SPECIAL

  socket special

### REGULAR

    public static final FileMode.Type REGULAR

  regular

### DIRECTORY

    public static final FileMode.Type DIRECTORY

  directory

### SYMKLINK

    public static final FileMode.Type SYMKLINK

  symbolic link

### UNKNOWN

    public static final FileMode.Type UNKNOWN

  unknown

Method Detail

### values

    public static FileMode.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileMode.Type c : FileMode.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileMode.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromMask

    public static FileMode.Type fromMask(int mask)

### toMask

    public int toMask()

Copyright © 2009-2011. All Rights Reserved.